Quick Start

This guide helps you use the Ad Hoc Transfer Plug-in for Outlook to securely send file attachments in just a few minutes.

To start using the Ad Hoc Transfer Plug-in for Outlook:

  1. Compose a new mail message in Outlook. On the Message tab on the ribbon menu, click WS_FTP Attach File. After you select one or more files to send, the WS_FTP Send form appears.

    Once you are in WS_FTP Send mode, you can switch to other tabs on the ribbon. The WS_FTP Send form will remain in the message window, indicating you are still in WS_FTP Send mode.

    In the Message window, you can see a new tab on the ribbon in Outlook called WS_FTP Send, where you can change WS_FTP Send options, switch back to the standard mail message mode, or access the WS_FTP Plug-in Help.

  2. Enter your recipients and the email subject, and write a message.
  3. When you finish composing your email, click Send.

    The Ad Hoc Transfer Plug-in for Outlook sends your WS_FTP Attachments to the WS_FTP server. Your recipients will receive an email with a link to log onto the WS_FTP server and download their files.

    You can view the secure transfer options, including the password for users to view the attachments you just sent, by Viewing Sent Secure Transfers.

    Only your WS_FTP Attachments are sent securely through the WS_FTP server. Files in the Outlook Attached field and the contents of the message are sent through your email server.

To learn more about sending files, see Sending Secure Transfers through WS_FTP.


What is the Ad Hoc Transfer Plug-in for Microsoft Outlook?

Ad Hoc Transfer Plug-in for Outlook is a file transfer application that uses an email format to securely send files, without needing to send actual attachments (which may be too large to send). Similar to using email, you can browse your file system and add files to a message that the Ad Hoc Transfer system will then mail to recipients.

Instead of sending the files itself, the Outlook plug-in uploads the files to a WS_FTP file transfer server. Email recipients receive messages with hyperlinks which, when clicked, connect them to a secure web page, where they can select and download the files.

You can use Ad Hoc Transfer Plug-in for Outlook to:

  • Send large files to recipients securely
  • Manage access to the files you send
  • View the status of active file packages
  • Send files to yourself

Administrators can configure Ad Hoc Transfer Plug-in for Outlook to:

  • Establish limits for Ad Hoc Transfer file downloads (to make the best use of server resources)
  • Set Ad Hoc Transfer user limits and permissions
  • Provide a customized (branded) user interface

The Ad Hoc Transfer Plug-in for Outlook consists of:

  • An Outlook plug-in that lets you send secure transfers through the Ad Hoc Transfer system
  • WS_FTP Connector, a tray application that lets you configure the server connection and view pending uploads and logs


Sending Secure Transfers through WS_FTP

You compose and send a secure transfer through WS_FTP much the same way that you compose and send a standard mail message.

To send files through WS_FTP:

  1. In Outlook, open a new mail message window.
  2. To switch to WS_FTP Send mode, click WS_FTP Attach File and select a file to send or click Send through WS_FTP on the WS_FTP Send ribbon menu.

    You can click Send standard mail to switch off WS_FTP Send mode.

  3. Enter the recipients, a subject, and a message, and attach the files you want to send.

    You can attach files only; you cannot attach items (such as an Outlook email).

    If you do not attach any files to a message and then send it while in WS_FTP Send mode, the Ad Hoc Transfer Plug-in for Outlook automatically sends a standard mail message rather than a secure transfer through WS_FTP.

    You should not send any single file attachment larger than 2GB. The Ad Hoc Transfer Plug-in for Outlook will send the files to the WS_FTP server, but a server limitation restricts recipients from downloading the files from the web interface.

  4. Change any of the WS_FTP Send options you want in the WS_FTP Send form. See WS_FTP Send Options for more information.

    You can change the default options at any time. See Default Send Options for more information.

  5. Click Send.

The Ad Hoc Transfer Plug-in for Outlook sends the message to the recipients and uploads the attached files to the file transfer server. (See Tracking Secure Transfer Upload Progress for information about file transfers.) To retrieve these files, recipients click a web page link that replaces your attachments in the original message. After logging in to the web page, they can view and download the files that you sent.

If you exceed the WS_FTP Send limits set by your Administrator, the file(s) will not be sent. The Status indicator in the WS_FTP Send form tells you the collective size of all files that you are allowed to send and whether or not you are over the size limit.

You must open the sent message to view the randomly generated password, which you will need to provide to the recipient by sending it via a separate email, a phone call, fax, etc., in accordance with your organization's security policy.

If you compose a secure transfer message and click Send, but Outlook hasn't sent mail to the server yet, the secure transfer remains in Personal Folders > WS_FTP Outbox until Outlook sends the message. If you are having problem sending secure transfers, see How do I recover from a failed send? in Troubleshooting.


WS_FTP Send Options

WS_FTP Send options appear in the WS_FTP Send form at the bottom of the Message window when you switch to WS_FTP Send mode. You may be able to set these options, depending on how the administrator has configured Ad Hoc Transfer in WS_FTP.

  • Files expire in __ days/hours or __ downloads. You can set two limits on downloads:
    • The length of time, in days or hours, recipients have to download a given file. This can be set to a value up to the maximum days, which is set by the Administrator.
    • The number of times recipients may download a given transferred file. This can be set to a value up to the maximum downloads, which is set by the Administrator.
  • Send email notification when files are downloaded. When the recipient downloads a file from the Download Files page, send an email notification (to the sender) that the download has occurred.
  • Password protect files. Requires the recipient to enter the password below in order to access the Download Files page.

    You (the sender) will need to provide the recipient with the appropriate password by sending it via a separate email, a phone call, fax, etc., in accordance with your organization's security policy.

    Depending on the setting for your WS_FTP server, you may or may not see the features that allow you to set a password.

    • Use the following password. Uses the password you enter below, which will be used only for this file package.
    • Password. Enter the password you want to use. Select Show to show the password characters.
    • Generate password for this package. Uses a system-generated, strong password for this secure transfer. The password will be displayed in the WS_FTP Send form on a sent secure transfer.

See Default Send Options to change the default options that are set when you compose a new secure transfer mail message.


Default Send Options

These are the default options used to send secure transfers through WS_FTP. WS_FTP Send options appear in the WS_FTP Send form at the bottom of the Message window when you switch to WS_FTP Send mode.

  • Password protect files. Requires the recipient to enter the password below in order to access the Download Files page.

    You (the sender) will need to provide the recipient with the appropriate password by sending it via a separate email, a phone call, fax, etc., in accordance with your organization's security policy.

    Depending on the setting for your WS_FTP server, you may or may not see the features that allow you to set a password.

    • Use the following password. Uses the password you enter below, which will be used only for this file package.
      • Password. Enter the password you want to use. Select Show to show the password characters.
    • Generate password for each package sent. Creates a system-generated, strong password for each secure transfer. The password will be displayed on the WS_FTP Send form when you view sent secure transfer messages.

You may be able to set these options, depending on how the administrator has configured Ad Hoc Transfer in WS_FTP.

  • Send email notification when files are downloaded. When the recipient downloads a file from the Download Files page, send an email notification (to the sender) that the download has occurred.
  • Files expire in __ Days/Hours. The length of time, in days or hours, recipients have to download a given file. This can be set to a value up to the maximum days, which is set by the Administrator.
  • Files expire after __ downloads. The number of times recipients may download a given transferred file. This can be set to a value up to the maximum downloads, which is set by the Administrator.


Viewing Sent Secure Transfers

There are two ways to view secure transfers that you sent:

  • After you send a message, you can view a copy of the secure transfer message in the Sent folder, which is in the list of Personal Folders in Outlook.
  • You can also display previously sent transfers by expanding Personal Folders > Search Folders in the list of Outlook mail folders, then selecting WS_FTP Mail. This folder displays all secure transfer messages even if you moved them to folders other than the Sent folder.

Open the Sent message. The WS_FTP Send form shows all of the send options applied to that package.

See WS_FTP Send Options for more information.

You must open a sent message to view a randomly generated password, which you will need to provide to the recipient by sending it via a separate email, a phone call, fax, etc., in accordance with your organization's security policy.


WS_FTP Send Connection Configuration

If not already configured, your Administrator will provide you with server information and authentication credentials to connect the Ad Hoc Transfer Plug-in for Outlook to the WS_FTP server. Enter the information in the WS_FTP Send connection dialog.

To open the connection dialog:

WS_FTP Connector:

  1. Right-click the WS_FTP Connector icon in the system tray.
  2. Click Configuration. The WS_FTP Send connection dialog opens in the WS_FTP Connector - Configuration window.

Outlook 2007:

  1. In the main Outlook window, on the menu click Tools > Options.
  2. In the Options dialog box, click the WS_FTP Send tab. The WS_FTP Send connection configuration dialog opens in the Options window.

Outlook 2010:

  1. In the main Outlook window, click the File tab.
  2. Click Options.
  3. In Outlook Options dialog box, click Add-Ins.
  4. Click Add-in Options to launch the Add-in options dialog. The WS_FTP Send connection dialog opens in the Add-in Options window.

To configure the connection to your WS_FTP server:

  1. Edit these options
    • Server. Enter the host name or the IP address for your WS_FTP server. Your Administrator can supply this information.
    • User name. Enter your user name to access the WS_FTP server.
    • Password. Enter your password to access the WS_FTP server.
  2. Click Advanced Options if you need to change the connection or transfer log settings. See Advanced Options for more information.
  3. Click Default Send Options if you need to view or set the options that will be used for all secure transfers. See Default Send Options for more information.
  4. Click Apply or OK to save these settings.

To verify your connection status to the WS_FTP server, hover the mouse cursor over the WS_FTP Connector tray icon. You have a good connection if the notification reads WS_FTP Connected OK.


Advanced Options

These options set the server connection and log settings. Your Administrator can provide the appropriate settings for your file transfer server.

The Connection settings configure your connection to the WS_FTP server.

  • Server Port. The port on the file transfer server used to create the connection. The default HTTP port is 80; the default SSL port is 443.
    • This server requires an encrypted connection (SSL). Select this option to use a secure HTTPS connection. If you select this option, the value for Server Port will be set to 443, unless a custom port has been set by your Administrator.
    • Use Default. Click this button to set the port to the default value: 80 for HTTP, or 443 for the encrypted connection (HTTPS).

The Transfer Log settings specify whether and where to write the log and how much detail to provide.

Write transfer log to. When selected, secure transfer transactions will be logged to the location shown. You can click the browse button to specify a different folder. When not selected, the transactions are not logged.

Diagnostic level logging. Provides the connection and transfer information, in addition to the transaction. Do not select this option for extended periods of time unless requested by Ipswitch Support. See Viewing the Log for more information.


What is the WS_FTP Connector?

The WS_FTP Connector is a tray application that manages secure transfers to the WS_FTP server for the Ad Hoc Transfer Plug-in for Outlook. It connects to the Ad Hoc Transfer system when you log into Windows and manages file transfers to the WS_FTP server even if Outlook is closed.

The WS_FTP Connector also displays status information about your connection to the WS_FTP server. Descriptive error notifications tell you when the WS_FTP Connector cannot connect to the server. You can also hover the mouse cursor over the tray icon to view the current status of the connection to the WS_FTP server.

Right-click the WS_FTP Connector icon in the system tray to access the WS_FTP Connector menu. The menu options are:

  • Configuration. Edit server configuration options. See WS_FTP Send Connection Configuration for more information.
  • Pending Transfers. Track secure transfer progress.
  • Log. View the WS_FTP Connector log.
  • Help. View the Ad Hoc Transfer Plug-in for Outlook Help.
  • Reconnect. Refresh the connection to the WS_FTP server. See Troubleshooting for more information.
  • Exit. Close the WS_FTP Connector.

    If you close the WS_FTP Connector, Ad Hoc Transfer Plug-in for Outlook cannot send any messages until you restart the WS_FTP Connector. You can restart it from Start > All Programs > Startup > Ipswitch WS_FTP Connector


Tracking Secure Transfer Progress

To view secure transfer upload progress, right-click the WS_FTP Connector tray icon and select Pending Transfers. The Pending Transfers window opens and displays a queue of pending transfers to the WS_FTP server.

These categories provide information about each secure transfer in the queue:

  • Subject. The subject of the message used to send the secure transfer.
  • Status. Indicates the status of the secure transfer.
  • Size. The combined size of all files to be transfered to the WS_FTP server.
  • Age. How long ago the secure transfer was added to the queue.
  • Last Error. Displays the transfer's last error.


Viewing the Log

To view the log file:

  1. Right-click the WS_FTP Connector tray icon and select Log.
  2. The log appears in a new window.

See Advanced Options to change the log location and enable diagnostic level logging.


Troubleshooting

These topics help you troubleshoot problems with the Ad Hoc Transfer Plug-in for Outlook and the WS_FTP Connector.


Cannot locate the server

If the WS_FTP Connector cannot reach the server:

  • Ensure your computer is connected to the network (by opening a web page).
  • Check the host/IP provided by your administrator in the Configuring the WS_FTP Send Connection.
  • Check with your administrator to see if the server is offline.


Cannot connect due to an authentication error

If the WS_FTP Connector can reach the server, but cannot authenticate:

  • Check the username/password provided by your administrator.
  • Check with your server administrator to see if your account or IP address has been disabled and if you have access to Ad Hoc Transfer.
  • You may need to change your password if your account is active.


Cannot connect due to an SSL issue

If the WS_FTP Connector cannot connect to the server because of an SSL error:

  • Select This server requires an encrypted connection (SSL) in the Advanced Options if it is required to connect to the WS_FTP server.


Why isn't the Ad Hoc Transfer Plug-in for Outlook sending files?

If you compose a secure transfer and click Send, but your files do not transfer:

  • Ensure that your computer has a network connection.
  • Ensure that the WS_FTP Connector is running and connected.

    To verify your connection status to the WS_FTP server, hover the mouse cursor over the WS_FTP Connector tray icon. You have a good connection if the notification reads WS_FTP Connected OK.

  • Ensure that you sent the file in WS_FTP Send mode.
  • Ensure that you have not attached more files than the maximum size allowed for all files.
  • You might need to reconnect to the WS_FTP server if you have a good connection to the server and are still not able to send secure transfers.

    When your Administrator changes WS_FTP server settings, the WS_FTP Connector must reconnect to the server before you can send files. Although the WS_FTP Connector automatically refreshes the connection to the server (the default is every 10 minutes), you can manually refresh your connection at any time.

    To manually reconnect to the WS_FTP server, right-click the WS_FTP Connector tray icon and select Reconnect. Once the WS_FTP Connector finishes reconnecting, try sending the secure transfer again.


How do I recover from a failed send?

You may encounter a situation in which you compose and send a secure transfer, but the Ad Hoc Transfer Plug-in for Outlook does not actually send your files to your recipients. The message stays in the the Personal Folders > WS_FTP Outbox folder until you fix the problem and attempt to send again. (See Why isn't the Ad Hoc Transfer Plug-in for Outlook sending files? for some reasons that Outlook does not send the message.)

After you fix the issue, check the Personal Folders > WS_FTP Outbox folder for the unsent message and send the message again.